Bug 41631 - Default columnalign attribute value should be: center
Summary: Default columnalign attribute value should be: center
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-07-05 13:35 PDT by François Sausset
Modified: 2010-07-09 06:29 PDT (History)
1 user (show)

See Also:


Attachments
Test case (2.21 KB, application/xhtml+xml)
2010-07-05 13:35 PDT, François Sausset
no flags Details
Patch (48.69 KB, patch)
2010-07-05 13:43 PDT, François Sausset
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description François Sausset 2010-07-05 13:35:54 PDT
Created attachment 60568 [details]
Test case

MathML 3 specify center as the default value of the columnalign attribute, instead of left.

See test case.
Comment 1 François Sausset 2010-07-05 13:43:05 PDT
Created attachment 60569 [details]
Patch

Patch fixing this bug
Comment 2 Adam Barth 2010-07-07 03:33:24 PDT
Comment on attachment 60569 [details]
Patch

This looks reasonable, but I know nothing about MathML.  One suggestion for a slight improvement: you could link to the spec.  :)
Comment 3 François Sausset 2010-07-07 03:37:16 PDT
Here is the MathML 3 Draft part concerning mtable and columalign:
http://www.w3.org/TR/MathML3/chapter3.html#presm.mtable
Comment 4 WebKit Commit Bot 2010-07-09 06:29:24 PDT
Comment on attachment 60569 [details]
Patch

Clearing flags on attachment: 60569

Committed r62945: <http://trac.webkit.org/changeset/62945>
Comment 5 WebKit Commit Bot 2010-07-09 06:29:29 PDT
All reviewed patches have been landed.  Closing bug.